## ros-melodic-image-view 1.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(image_view)

find_package(catkin REQUIRED COMPONENTS camera_calibration_parsers cv_bridge dynamic_reconfigure image_transport message_filters message_generation nodelet rosconsole roscpp std_srvs stereo_msgs)
generate_dynamic_reconfigure_options(cfg/ImageView.cfg)

catkin_package(CATKIN_DEPENDS dynamic_reconfigure)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(OpenCV REQUIRED)

include_directories(${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS}
                    ${OpenCV_INCLUDE_DIRS}
)

# Extra tools
add_executable(extract_images src/nodes/extract_images.cpp)
target_link_libraries(extract_images ${catkin_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
)

add_executable(image_saver src/nodes/image_saver.cpp)
target_link_libraries(image_saver ${catkin_LIBRARIES}
                                  ${OpenCV_LIBRARIES}
)

add_executable(video_recorder src/nodes/video_recorder.cpp)
target_link_libraries(video_recorder ${catkin_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
)

install(TARGETS extract_images image_saver video_recorder
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Deal with the GUI's
if(ANDROID)
  return()
endif()

find_package(GTK2)
add_definitions(-DHAVE_GTK)
include_directories(${GTK2_INCLUDE_DIRS})

find_package(PkgConfig REQUIRED)
pkg_check_modules(PC_HB REQUIRED harfbuzz)
include_directories(${PC_HB_INCLUDE_DIRS})

# Nodelet library
add_library(image_view src/nodelets/image_nodelet.cpp src/nodelets/disparity_nodelet.cpp src/nodelets/window_thread.cpp)
target_link_libraries(image_view ${catkin_LIBRARIES}
                                 ${GTK_LIBRARIES}
                                 ${GTK2_LIBRARIES}
                                 ${OpenCV_LIBRARIES}
                                 ${Boost_LIBRARIES}
)
add_dependencies(image_view ${PROJECT_NAME}_gencfg)
install(TARGETS image_view
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Image viewers
add_executable(image_view_exe src/nodes/image_view.cpp)
add_dependencies(image_view_exe ${PROJECT_NAME}_gencfg)
SET_TARGET_PROPERTIES(image_view_exe PROPERTIES OUTPUT_NAME image_view)
target_link_libraries(image_view_exe ${catkin_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
                                     ${Boost_LIBRARIES}
)

add_executable(disparity_view src/nodes/disparity_view.cpp)
target_link_libraries(disparity_view ${catkin_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
)

add_executable(stereo_view src/nodes/stereo_view.cpp)
target_link_libraries(stereo_view ${Boost_LIBRARIES}
                                  ${catkin_LIBRARIES}
                                  ${GTK_LIBRARIES}
                                  ${GTK2_LIBRARIES}
                                  ${OpenCV_LIBRARIES}
)

install(TARGETS disparity_view image_view_exe stereo_view
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Python programs
catkin_install_python(
  PROGRAMS scripts/extract_images_sync
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## ros-melodic-image-view 1.15.0

=== debian/changelog ===
ros-melodic-image-view (1.15.0-1stretch) stretch; urgency=high

  * image_view: add missing dependency to gencfg header (#532 <https://github.com/ros-perception/image_pipeline/issues/532>)
  * clone cv_ptr->image before set queued_image (#526 <https://github.com/ros-perception/image_pipeline/issues/526>)
  * [image_view] Add dynamic reconfigure to image_nodelet.cpp in melodic (#504 <https://github.com/ros-perception/image_pipeline/issues/504>)
  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Atsushi Watanabe, Kei Okada, Naoya Yamaguchi, Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-image-view (1.14.0-1stretch) stretch; urgency=high

  * Merge pull request #481 <https://github.com/ros-perception/image_pipeline/issues/481> from ros-perception/fix/reliably-close-image-view
  * image_view: Making window close reliably shut down node.
  * Removing image_view node and replacing with image_view that loads nodelet. (#479 <https://github.com/ros-perception/image_pipeline/issues/479>)
  * Fix build issue re: missing hb.h (#458 <https://github.com/ros-perception/image_pipeline/issues/458>)
  * Contributors: Joshua Whitley, Steven Macenski, Tim Übelhör, acxz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-image-view (1.13.0-1stretch) stretch; urgency=high

  * Implemented extracting raw image data (#329 <https://github.com/ros-perception/image_pipeline/issues/329>)
    Implementation of the raw image extraction if the file extension is .raw. This file extension is not supported by cv::imwrite so there is be no conflict. The raw files only containing the pixel data without any meta data which allows usage in MATLAB or other tools.
  * Merge pull request #375 <https://github.com/ros-perception/image_pipeline/issues/375> from fizyr-forks/opencv4
  * Fix OpenCV4 compatibility.
  * Merge pull request #337 <https://github.com/ros-perception/image_pipeline/issues/337> from yoshito-okada/fix_image_view_nodelet
    Fix threading issue in image_view nodelet. Closes #331 <https://github.com/ros-perception/image_pipeline/issues/331>.
  * Merge pull request #394 <https://github.com/ros-perception/image_pipeline/issues/394> from angeltop/indigo
    image_view: video recorder fix for conversion of fps to ros::Duration
  * Merge pull request #379 <https://github.com/ros-perception/image_pipeline/issues/379> from fizyr-forks/boost-1.69
    Fix boost 1.69 compatibility
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding stevemacenski as maintainer to get emails
  * adding autonomoustuff mainainer
  * Merge pull request #343 <https://github.com/ros-perception/image_pipeline/issues/343> from fkie-forks/work_around_opencv_highgui_bug
    Work around OpenCV highgui bug
    I had to remove the GTK workaround, since it creates symbol collisions between GTK2 and GTK3.
  * Refresh GUI on image update as well
  * Use WallTimer for backwards compatibility with ROS Indigo
  * Switch to SteadyTimer as suggested in review
  * Remove unused signals from find_package(Boost COMPONENTS ...)
    The signals library was not used at all, and it has been removed from
    boost 1.69. As a result, the package doesn't build anymore with boost
    1.69 without this change.
  * While we're at it, work around the mutex assertion failure on exit
  * Work around an OpenCV bug with GTK and threading
  * add ThreadSageImage class to encapsilate mutex operation for image
  * handle window in single thread
  * Contributors: Hans Gaiser, Joshua Whitley, Maarten de Vries, Philipp, Timo Röhling, Yoshito Okada, angeltop, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-image-view (1.12.23-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-image-view (1.12.22-1stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-image-view (1.12.21-1stretch) stretch; urgency=high

  * call namedWindow from same thread as imshow, need waitKay, now cvStartWindowThreads is null funciton on window_QT.h (#279 <https://github.com/ros-perception/image_pipeline/issues/279>)
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-image-view (1.12.20-1stretch) stretch; urgency=high

  * DisparityViewNodelet: fixed freeze (#244 <https://github.com/ros-perception/image_pipeline/issues/244>)
  * launch image view with a predefined window size (#257 <https://github.com/ros-perception/image_pipeline/issues/257>)
  * Remove python-opencv run_depend for image_view (#270 <https://github.com/ros-perception/image_pipeline/issues/270>)
    The python-opencv dependency pulls in the system OpenCV v2.4 which is
    not required since the image_view package depends on cv_bridge which
    pulls in opencv3 and opencv3 provides the python library that
    image_view can use.
  * Fix encoding error message (#253 <https://github.com/ros-perception/image_pipeline/issues/253>)
    * Fix encoding error message
    * Update image_saver.cpp
    Allow compilation on older compilers
  * Including stereo_msgs dep fixes #248 <https://github.com/ros-perception/image_pipeline/issues/248> (#249 <https://github.com/ros-perception/image_pipeline/issues/249>)
  * Add no gui mode to just visualize & publish with image_view (#241 <https://github.com/ros-perception/image_pipeline/issues/241>)
  * stere_view: fixed empty left, right, disparity windows with opencv3
  * Apply value scaling to depth/float image with min/max image value
    If min/max image value is specified we just use it, and if not,
    - 32FC1: we assume depth image with meter metric, and 10[m] as the max range.


=== debian/control ===
Source: ros-melodic-image-view
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgtk2.0-dev, ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-cv-bridge (>= 1.11.13), ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-nodelet, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs
Homepage: http://www.ros.org/wiki/image_view
Standards-Version: 3.9.2

Package: ros-melodic-image-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk2.0-dev, ros-melodic-camera-calibration-parsers, ros-melodic-cv-bridge (>= 1.11.13), ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-std-srvs
Description: A simple viewer for ROS image topics.
 Includes a specialized viewer for stereo + disparity images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-image-view//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-image-view 1.15.2

=== debian/changelog ===
ros-melodic-image-view (1.15.2-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 13 Jul 2022 05:00:00 -0000

ros-melodic-image-view (1.15.1-1bionic) bionic; urgency=high

  * [image_view] Warn when filename_format is invalid (#586 <https://github.com/ros-perception/image_pipeline/issues/586>)
  * Contributors: Naoya Yamaguchi

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Dec 2020 06:00:00 -0000

ros-melodic-image-view (1.15.0-1bionic) bionic; urgency=high

  * image_view: add missing dependency to gencfg header (#532 <https://github.com/ros-perception/image_pipeline/issues/532>)
  * clone cv_ptr->image before set queued_image (#526 <https://github.com/ros-perception/image_pipeline/issues/526>)
  * [image_view] Add dynamic reconfigure to image_nodelet.cpp in melodic (#504 <https://github.com/ros-perception/image_pipeline/issues/504>)
  * updated install locations for better portability. (#500 <https://github.com/ros-perception/image_pipeline/issues/500>)
  * Contributors: Atsushi Watanabe, Kei Okada, Naoya Yamaguchi, Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-melodic-image-view (1.14.0-1bionic) bionic; urgency=high

  * Merge pull request #481 <https://github.com/ros-perception/image_pipeline/issues/481> from ros-perception/fix/reliably-close-image-view
  * image_view: Making window close reliably shut down node.
  * Removing image_view node and replacing with image_view that loads nodelet. (#479 <https://github.com/ros-perception/image_pipeline/issues/479>)
  * Fix build issue re: missing hb.h (#458 <https://github.com/ros-perception/image_pipeline/issues/458>)
  * Contributors: Joshua Whitley, Steven Macenski, Tim Übelhör, acxz

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-melodic-image-view (1.13.0-1bionic) bionic; urgency=high

  * Implemented extracting raw image data (#329 <https://github.com/ros-perception/image_pipeline/issues/329>)
    Implementation of the raw image extraction if the file extension is .raw. This file extension is not supported by cv::imwrite so there is be no conflict. The raw files only containing the pixel data without any meta data which allows usage in MATLAB or other tools.
  * Merge pull request #375 <https://github.com/ros-perception/image_pipeline/issues/375> from fizyr-forks/opencv4
  * Fix OpenCV4 compatibility.
  * Merge pull request #337 <https://github.com/ros-perception/image_pipeline/issues/337> from yoshito-okada/fix_image_view_nodelet
    Fix threading issue in image_view nodelet. Closes #331 <https://github.com/ros-perception/image_pipeline/issues/331>.
  * Merge pull request #394 <https://github.com/ros-perception/image_pipeline/issues/394> from angeltop/indigo
    image_view: video recorder fix for conversion of fps to ros::Duration
  * Merge pull request #379 <https://github.com/ros-perception/image_pipeline/issues/379> from fizyr-forks/boost-1.69
    Fix boost 1.69 compatibility
  * Merge pull request #395 <https://github.com/ros-perception/image_pipeline/issues/395> from ros-perception/steve_maintain
  * adding stevemacenski as maintainer to get emails
  * adding autonomoustuff mainainer
  * Merge pull request #343 <https://github.com/ros-perception/image_pipeline/issues/343> from fkie-forks/work_around_opencv_highgui_bug
    Work around OpenCV highgui bug
    I had to remove the GTK workaround, since it creates symbol collisions between GTK2 and GTK3.
  * Refresh GUI on image update as well
  * Use WallTimer for backwards compatibility with ROS Indigo
  * Switch to SteadyTimer as suggested in review
  * Remove unused signals from find_package(Boost COMPONENTS ...)
    The signals library was not used at all, and it has been removed from
    boost 1.69. As a result, the package doesn't build anymore with boost
    1.69 without this change.
  * While we're at it, work around the mutex assertion failure on exit
  * Work around an OpenCV bug with GTK and threading
  * add ThreadSageImage class to encapsilate mutex operation for image
  * handle window in single thread
  * Contributors: Hans Gaiser, Joshua Whitley, Maarten de Vries, Philipp, Timo Röhling, Yoshito Okada, angeltop, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Jun 2019 05:00:00 -0000

ros-melodic-image-view (1.12.23-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-melodic-image-view (1.12.22-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-melodic-image-view (1.12.21-1bionic) bionic; urgency=high

  * call namedWindow from same thread as imshow, need waitKay, now cvStartWindowThreads is null funciton on window_QT.h (#279 <https://github.com/ros-perception/image_pipeline/issues/279>)
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-melodic-image-view (1.12.20-1bionic) bionic; urgency=high

  * DisparityViewNodelet: fixed freeze (#244 <https://github.com/ros-perception/image_pipeline/issues/244>)
  * launch image view with a predefined window size (#257 <https://github.com/ros-perception/image_pipeline/issues/257>)
  * Remove python-opencv run_depend for image_view (#270 <https://github.com/ros-perception/image_pipeline/issues/270>)
    The python-opencv dependency pulls in the system OpenCV v2.4 which is
    not required since the image_view package depends on cv_bridge which
    pulls in opencv3 and opencv3 provides the python library that
    image_view can use.
  * Fix encoding error message (#253 <https://github.com/ros-perception/image_pipeline/issues/253>)
    * Fix encoding error message
    * Update image_saver.cpp
    Allow compilation on older compilers


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libgtk2.0-dev, ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-cv-bridge (>= 1.11.13), ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-nodelet, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs
+Build-Depends: debhelper (>= 9.0.0), libgtk2.0-dev, ros-melodic-camera-calibration-parsers, ros-melodic-catkin, ros-melodic-cv-bridge (>= 1.11.13), ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-nodelet, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-std-srvs, ros-melodic-stereo-msgs
 Homepage: http://www.ros.org/wiki/image_view
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
